summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorEvan Ahlberg <evanahlberg@gmail.com>2023-02-08 14:39:51 -0500
committerEvan Ahlberg <evanahlberg@gmail.com>2023-02-08 14:39:51 -0500
commit7e326908746a5df606f1fa9490239af482c716e6 (patch)
tree531fa0926b6a876a5a6ab49b027e35d9d676a5d3
parent6df116ecd3deecaf2f6a42056767c8a524a33689 (diff)
downloadchef-7e326908746a5df606f1fa9490239af482c716e6.tar.gz
only current chef-16 platforms and remove external gem tests
Signed-off-by: Evan Ahlberg <evanahlberg@gmail.com>
-rwxr-xr-x.buildkite/verify.pipeline.sh125
-rw-r--r--.expeditor/scripts/prep_and_run_tests.ps11
2 files changed, 64 insertions, 62 deletions
diff --git a/.buildkite/verify.pipeline.sh b/.buildkite/verify.pipeline.sh
index c675ab42f6..1a70c2f3bf 100755
--- a/.buildkite/verify.pipeline.sh
+++ b/.buildkite/verify.pipeline.sh
@@ -9,7 +9,7 @@ echo " BUILD_TIMESTAMP: $(date +%Y-%m-%d_%H-%M-%S)"
echo "steps:"
echo ""
-test_platforms=("centos-6" "centos-7" "centos-8" "rhel-9" "debian-9" "ubuntu-1604" "sles-15")
+test_platforms=("centos-7" "rhel-9" "debian-9" "ubuntu-1804" "ubuntu-2004" "sles-15")
for platform in ${test_platforms[@]}; do
echo "- label: \"{{matrix}} $platform :ruby:\""
@@ -46,6 +46,7 @@ for platform in ${win_test_platforms[@]}; do
echo " matrix:"
echo " - \"Unit\""
echo " - \"Integration\""
+ echo " - \"Chocolatey\""
echo " plugins:"
echo " - docker#v3.5.0:"
echo " image: chefes/omnibus-toolchain-${platform#*:}:$OMNIBUS_TOOLCHAIN_VERSION"
@@ -76,68 +77,68 @@ for platform in ${win_test_platforms[@]}; do
echo " timeout_in_minutes: 60"
done
-external_gems=("chef-zero" "cheffish" "chefspec" "knife-windows" "berkshelf")
+# external_gems=("chef-zero" "cheffish" "chefspec" "knife-windows" "berkshelf")
-for gem in ${external_gems[@]}; do
- echo "- label: \"$gem gem :ruby:\""
- echo " retry:"
- echo " automatic:"
- echo " limit: 1"
- echo " agents:"
- echo " queue: default"
- echo " plugins:"
- echo " - docker#v3.5.0:"
- echo " image: chefes/omnibus-toolchain-ubuntu-1804:$OMNIBUS_TOOLCHAIN_VERSION"
- echo " environment:"
- echo " - CHEF_FOUNDATION_VERSION"
- if [ $gem == "chef-zero" ]
- then
- echo " - PEDANT_OPTS=--skip-oc_id"
- echo " - CHEF_FS=true"
- fi
- echo " propagate-environment: true"
- echo " - chef/cache#v1.5.0:"
- echo " s3_bucket: core-buildkite-cache-chef-oss-prod"
- echo " cached_folders:"
- echo " - vendor"
- echo " timeout_in_minutes: 60"
- echo " commands:"
- echo " - .expeditor/scripts/bk_container_prep.sh"
- if [ $gem == "berkshelf" ]
- then
- echo " - export PATH=\"/opt/chef/bin:/usr/local/sbin:/usr/sbin:/sbin:${PATH}\""
- echo " - apt-get update -y"
- # cspell:disable-next-line
- echo " - apt-get install -y graphviz"
- echo " - bundle config set --local without omnibus_package"
- else
- echo " - export PATH=\"/opt/chef/bin:${PATH}\""
- echo " - bundle config set --local without omnibus_package"
- echo " - bundle config set --local path 'vendor/bundle'"
- fi
- echo " - bundle install --jobs=3 --retry=3"
- case $gem in
- "chef-zero")
- echo " - bundle exec tasks/bin/run_external_test chef/chef-zero main rake pedant"
- ;;
- "cheffish")
- echo " - bundle exec tasks/bin/run_external_test chef/cheffish main rake spec"
- ;;
- "chefspec")
- echo " - bundle exec tasks/bin/run_external_test chefspec/chefspec main rake"
- ;;
- "knife-windows")
- echo " - bundle exec tasks/bin/run_external_test chef/knife-windows main rake spec"
- ;;
- "berkshelf")
- echo " - bundle exec tasks/bin/run_external_test chef/berkshelf main rake"
- ;;
- *)
- echo -e "\n Gem $gem is not valid\n" >&2
- exit 1
- ;;
- esac
-done
+# for gem in ${external_gems[@]}; do
+# echo "- label: \"$gem gem :ruby:\""
+# echo " retry:"
+# echo " automatic:"
+# echo " limit: 1"
+# echo " agents:"
+# echo " queue: default"
+# echo " plugins:"
+# echo " - docker#v3.5.0:"
+# echo " image: chefes/omnibus-toolchain-ubuntu-1804:$OMNIBUS_TOOLCHAIN_VERSION"
+# echo " environment:"
+# echo " - CHEF_FOUNDATION_VERSION"
+# if [ $gem == "chef-zero" ]
+# then
+# echo " - PEDANT_OPTS=--skip-oc_id"
+# echo " - CHEF_FS=true"
+# fi
+# echo " propagate-environment: true"
+# echo " - chef/cache#v1.5.0:"
+# echo " s3_bucket: core-buildkite-cache-chef-oss-prod"
+# echo " cached_folders:"
+# echo " - vendor"
+# echo " timeout_in_minutes: 60"
+# echo " commands:"
+# echo " - .expeditor/scripts/bk_container_prep.sh"
+# if [ $gem == "berkshelf" ]
+# then
+# echo " - export PATH=\"/opt/chef/bin:/usr/local/sbin:/usr/sbin:/sbin:${PATH}\""
+# echo " - apt-get update -y"
+# # cspell:disable-next-line
+# echo " - apt-get install -y graphviz"
+# echo " - bundle config set --local without omnibus_package"
+# else
+# echo " - export PATH=\"/opt/chef/bin:${PATH}\""
+# echo " - bundle config set --local without omnibus_package"
+# echo " - bundle config set --local path 'vendor/bundle'"
+# fi
+# echo " - bundle install --jobs=3 --retry=3"
+# case $gem in
+# "chef-zero")
+# echo " - bundle exec tasks/bin/run_external_test chef/chef-zero main rake pedant"
+# ;;
+# "cheffish")
+# echo " - bundle exec tasks/bin/run_external_test chef/cheffish main rake spec"
+# ;;
+# "chefspec")
+# echo " - bundle exec tasks/bin/run_external_test chefspec/chefspec main rake"
+# ;;
+# "knife-windows")
+# echo " - bundle exec tasks/bin/run_external_test chef/knife-windows main rake spec"
+# ;;
+# "berkshelf")
+# echo " - bundle exec tasks/bin/run_external_test chef/berkshelf main rake"
+# ;;
+# *)
+# echo -e "\n Gem $gem is not valid\n" >&2
+# exit 1
+# ;;
+# esac
+# done
habitat_plans=("linux" "linux-kernel2" "windows")
diff --git a/.expeditor/scripts/prep_and_run_tests.ps1 b/.expeditor/scripts/prep_and_run_tests.ps1
index 76e475cd8a..03c5f1ca9a 100644
--- a/.expeditor/scripts/prep_and_run_tests.ps1
+++ b/.expeditor/scripts/prep_and_run_tests.ps1
@@ -17,6 +17,7 @@ switch ($TestType) {
"Unit" {[string[]]$RakeTest = 'spec:unit','component_specs'; break}
"Integration" {[string[]]$RakeTest = "spec:integration"; break}
"Functional" {[string[]]$RakeTest = "spec:functional"; break}
+ "Chocolatey" {[string[]]$RakeTest = "chocolatey_package_spec"; break}
default {throw "TestType $TestType not valid"}
}